Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.accessibility
Class AccessibleTextEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.accessibility.AccessibleTextEvent

All Implemented Interfaces:
  Serializable

public class AccessibleTextEvent
extends org.eclipse.swt.internal.SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  3.0
See Also:
  `AccessibleTextListener`, `AccessibleTextAdapter`, Serialized Form

Field Summary
`int` | `childID`
`int` | `length`
`int` | `offset`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AccessibleTextEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### childID

    public int childID

### offset

    public int offset

### length

    public int length

Constructor Detail

### AccessibleTextEvent

    public AccessibleTextEvent(Object source)

  Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.